#!/usr/bin/env python
	
# Yalun Yu
# Date:3/31/2018
	
# This script calculate the compressibility modulus
import math
import numpy as np

# set boltzman constant (ingnore the order here, recover in a later step)
kb=1.3806
	
# Read the area data file
data=np.genfromtxt("area_for_ka.dat",delimiter="")

# Read the lipid number file
nlip=open('nlipid.dat','r')
nlipid=nlip.readline().strip()
nlipid=float(nlipid)

# Read the temprature file
tempfile=open('temp.dat','r')
temp=tempfile.readline().strip()
temp=float(temp)

SA_avg = np.mean(data[:,1])            	# average
N_step= np.shape(data)[0]               # number of data in area.dat (area_for_ka.dat)

VarS=0;                                	# VarS is variance after the system reaches equilibrium
for i in range(0,N_step,1):
	VarS=VarS+(data[i,1]-SA_avg)**2
Variance=VarS/N_step
Ka=(kb*temp*SA_avg/(nlipid*Variance*1000))    # order is corrected/recovered
print " "
print 'Final SA_avg/lip and Variance: %3.2f +- %3.2f' % (SA_avg,Variance)
print 'Compressibility modulus: %3.2f' % (Ka)